function st = BR(dat,params)

if params(1) <= max(dat(:,2))
    st = Inf;
end
if params(2) <= max(dat(:,3))
    st = Inf;
end

pred = RungeKuta(dat(1,2),dat(:,1),@(t,y)((1-y/params(1))*(1-1/(1+params(3)*exp(params(2)*t)))*params(3)));
st = std(pred-dat(:,2));