function [R,k,b] = LSM(x,y)

x_ = mean(x);
y_ = mean(y);
xy_ = mean(x.*y);
x2_ = mean(x.*x);
y2_ = mean(y.*y);

k = (xy_ - x_.*y_)/(x2_ - x_.^2);
b = y_ - x_*k;
R = (xy_ - x_.*y_)/sqrt((x2_ - x_^2)*(y2_ - y_^2));

