clear
load TATime.mat
% dat = zeros(8,74,4);
% for i = 1 : 8
%     for j = 1:1
%         CDat = zeros(3,2,74);
%         for k = 1 : 3
%             Data = FiveCentralMethod(unidim(OD(j,k,i,:)),10);
%             for q = 1 : 74
%                 CDat(k,1,q) = Data(q,2);
%                 CDat(k,2,q) = Data(q,3);
%             end
%         end
%         for p = 1 : 74
%             dat(i,p,1) = mean(CDat(:,1,p));
%             dat(i,p,2) = std(CDat(:,1,p));
%             dat(i,p,3) = mean(CDat(:,2,p));
%             dat(i,p,4) = std(CDat(:,2,p));
%         end
%     end
% end

color = [0 0 0; 1 0 0; 0 1 0; 0 0 1; 0.63 0.13 0.94];
for i = 1 : 8
    dat = zeros(74,4);
    f = floor((i-1)/4);
    subplot(2,4,i);
    set(gca,'FontSize',16)
    for j = 1:5
        CDat = zeros(3,2,74);
        for k = 1 : 3
            Data = FiveCentralMethod(unidim(OD(j,k,i,:)),10);
            for q = 1 : 74
                CDat(k,1,q) = Data(q,2);
                CDat(k,2,q) = Data(q,3);
            end
        end
        for p = 1 : 74
            dat(p,1) = mean(CDat(:,1,p));
            dat(p,2) = std(CDat(:,1,p));
            dat(p,3) = mean(CDat(:,2,p));
            dat(p,4) = std(CDat(:,2,p));
        end
        plot(t,dat(:,3),'-','LineWidth',2,'Color',color(j,:));
        hold on
        xlim([0 740])        
        xlabel(num2str(env(i,:)))
        ylabel('\mu/min-1')
    end
end