clear
load TATime.mat

color = [0 0 0;  0 1 0;0.63 0.13 0.94; 0 0 1; 1 0 0];
dat = zeros(5,74,4);
res = zeros(3,4,2);

next = 1;
for l = [3 4 8]
    for j = [1 2 4 5]
        CDat = zeros(3,2,74);
        for k = 1 : 3
            Data = FiveCentralMethod(unidim(OD(j,k,l,:)),10);
            for q = 1 : 74
                CDat(k,1,q) = Data(q,2);
                CDat(k,2,q) = Data(q,3);
            end
        end
        for p = 1 : 74
            dat(j,p,1) = mean(CDat(:,1,p));
            dat(j,p,2) = std(CDat(:,1,p));
            dat(j,p,3) = mean(CDat(:,2,p));
            dat(p,4) = std(CDat(:,2,p));
        end
    end
    for g = [2 4 5]
        bestT0 = -1;
        bestCor = -1;
        for int = 1 : 60
            y = dat(g,int:74,3);
            x = dat(1,1:75-int,3);
            [R,k,b] = LSM(x,y);
            if( abs(R) > bestCor)
                bestCor = abs(R);
                bestT0 = int;
            end
        end
        res(next,g-1,1) = bestT0;
        res(next,g-1,2) = bestCor;
    end
    next = next + 1;
end
res
