clear
load RawData.mat
load result.mat
[Data,c,corrs]=initialization(OD,concentration);

group = 5;
samp = length(unidim(result(1,5:12,:,1)));
comb = zeros(samp,4);
next = 1;
nor = [1.2 0.015 0.02];
for i = 1 : 12
    roc = find(corrs(i,:)==1);
    for k = 1 : length(roc)
        for j = 1 : size(result,3)
            comb(next,:) = [next c(i) roc(k) j];
            next = next + 1;
        end
    end
end
Rela = zeros(group,samp,4);
for i = 1 : samp
    for g = 1 : 5
        for k = 1 : 3
            Rela(g,i,k) = result(g,comb(i,3),comb(i,4),k);
        end
    end
end
res = cell(4,3,2);

for k = 1 : 3
    for i = 6 : 12
        for g = 2 : 5
            Rela = result(g,corrs(i,:),:,k);
            dat = unidim(Rela);
            res{g-1,k,2} = [res{g-1,k,2} dat]; 
            res{g-1,k,1} = [res{g-1,k,1} ones(1,length(dat))*(c(i)-0.8)];
        end
    end
end

r = cell(3);
for k = 1 : 3
    T = zeros(4,12);
    for i = 1 : 4
        for j = 1 : 12
            X1 = res{i+1,j,k};
            X2 = res{1,j,k};
            T(i,j) = myT(X1,X2,5);
        end
    end
    r{k} = T;
end

D = [r{1}; r{2}*2 ; r{3}*3]

