function [Data,c,corrs]=initialization(OD,concentration)

len = length(concentration); 
c = zeros(1,length(concentration));
c(:,:) = NaN;
next = 1;
for i = 1 : len
    new = true;
    for j = 1 : next - 1
        if abs(concentration(i)- c(j))<1e-3
            new = false;
            break;
        end
    end
    if new
        c(next) = concentration(i);
        next = next +1;
    end
end
c(isnan(c)) =[];
c = sort(c);

corrs = false(length(c),len);
for i = 1 : length(c)
    corrs(i,:) = concentration==c(i);
end
dim = size(OD);
Data = zeros(dim(1),dim(2),dim(3),4);
for i = 1 : dim(1)
    for j = 1 : dim(2)
        Data(i,j,:,:)= FiveCentralMethod(OD(i,j,:),10);
    end
end

save data.mat Data


    