function samples = preparation(OD,c)

err = 1e-5
len = length(c);
m = cell(len,2);
next = 1;
for i = 1 : len
    new = true;
    for j = 1 : next-1
        if abs(m{j,1}-c(i))<err
            m{j,2} = [m{j,2} i];
            new = false;
            break;
        end
    end
    if new
        m{next,1} = c(i);
        m{next,2} = i;
        next = next + 1;
    end
end
m(next:len,:)=[];           
samples = cell(5,12);

for i = 1 : 12
    seq = m{i,2};
    n = length(seq);
    for sample = 1 : 5
        Nmax = -1;
        Nmin = 100;
        t0 = [];
        N0 = [];
        for j = 1 : n
            x = OD(sample,seq(j),:);
            x(isnan(x))=[];
            x(x==0)=[];
            N0 = [N0 unidim(x)];
            t0 = [t0 10*(1:length(x))];
        end
        s.N = N0;
        s.t = t0;
        s.c = c(seq(1));
        samples{sample,i}=s;
    end
end