clear
load RawData.mat
[Data,c,corrs]=initialization(OD,concentration);

Control = Data(:,concentration==0,1:60,:);
len = size(Control,3);
p = zeros(len,5);
p(:,1) = 10*(1:len);
convFactor = 0.6;
for i = 1 : len 
    li = unidim(Control(:,:,i,3)./Control(:,:,i,2));
    p(i,2) = mean(li);
    li = li(abs(li-p(i,4))<0.01);
    p(i,2) = mean(li);
    p(i,3) = std(li)*convFactor;
end
maxerr = std(unidim(Control(:,:,:,2)));
for i = 1 : len 
    li = unidim(Control(:,:,i,2));
    p(i,4) = mean(li);
    li = li(abs(li-p(i,4))<0.4);
    p(i,4) = mean(li);
    p(i,5) = std(li)*convFactor;
end
save 'figure_1.txt' p -ascii