function Data = FiveCentralMethod(N,delT)

Data = zeros(length(N),4);

N = unidim(N(:));
t = delT*(1:length(N));
na = isnan(N);
N(na) = [];
t(na) = [];

for k = 1 : 2
    Data(k,1) = t(k);
    Data(k,2) = N(k);
    Data(k,3) = (-11*N(k)+18*N(k+1)-9*N(k+2)+2*N(k+3))/(6*delT);
    Data(k,4) = (2*N(k)-5*N(k+1)+4*N(k+2)-N(k+3))/(delT*delT);
end
for k = 3 : length(t)-2
    Data(k,1) = t(k);
    Data(k,2) = N(k);
    Data(k,3) = (N(k-2)-8*N(k-1)+8*N(k+1)-N(k+2))/(12*delT);
    Data(k,4) = (-N(k-2)+16*N(k-1)-30*N(k)+16*N(k+1)-N(k+2))/(12*delT*delT);
end
for k = length(t)-1 : length(t)
    Data(k,1) = t(k);
    Data(k,2) = N(k);
    Data(k,3) = -(-11*N(k)+18*N(k-1)-9*N(k-2)+2*N(k-3))/(6*delT);
    Data(k,4) = -(2*N(k)-5*N(k-1)+4*N(k-2)-N(k-3))/(delT*delT);
end
