library(plotrix)
library(ggplot2)
data<- read.table("F:\\iGEM\\Growth With TA\\figure_1.txt") ## the path should be modified in another computer.

data<-data[1:60,]
plot(data[,1],data[,2],ylim=c(0,0.01),xlab ="",ylab="OD",type="l",lwd=2,col="blue",col.axis="blue",col.lab="blue")
arrows(data[,1],data[,2]+data[,3],data[,1],data[,2]-data[,3],angle = 90,code = 3,length = 0.03, col="blue")
mtext("Time/min",side=1,line=3,col="black")
par(new=T)
plot(data[,1],data[,4],type="l",lwd=2,axes=F,xlab="",ylab="",col="red",col.axis="red",col.lab="red")
arrows(data[,1],data[,4]+data[,5],data[,1],data[,4]-data[,5],angle = 90,code = 3,length = 0.03, col="red")
axis(4,col="red",col.ticks="red",col.axis="red")
mtext(expression(mu),side=4,line=3,col="red")
