function [t,mu,e]= muDist(Data)

len = length(Data(1,:));
t = zeros(1,len);
corrs = zeros(1,len);
next = 1;
for i = 1 : len
    new = true;
    for j = 1 : next-1
        if abs(t(j)-Data(1,i))<1e-3
            new = false;
            corrs(i) = j;
            break;
        end
    end
    if new
        t(next) = Data(1,i);
        corrs(i) = next;
        next = next + 1;
    end
end
t(next:len)=[]; 
tm  = length(t);
mu = cell(tm,1);

len = size(Data,2);
for i = 1 : len
    mu{corrs(i)} = [mu{corrs(i)} Data(3,i)/Data(2,i)];
end
y = zeros(1,tm);
e = zeros(1,tm);
for i = 1 : tm
    y(i) = mean(mu{i});
    e(i) = std(mu{i});
    l = mu{i};
    mu{i} = l(abs(l-y(i))<0.01);
    y(i) = mean(mu{i});
    e(i) = std(mu{i});
end
y(isnan(e)) = [];
mu = y;
e(isnan(e)) = [];